## zabbix 3.0.4+dfsg

=== debian/changelog ===
zabbix (1:3.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 06 Aug 2016 14:21:45 +1000
