## zabbix 3.0.5+dfsg

=== debian/changelog ===
zabbix (1:3.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2016].
  * Switch to "libandroid-json-java" (Closes: #838034).
  * Switch to default-mysql-* metapackages.
  * New patch to fix FTBFS with MariaDB.
  * rules: don't ignore "configure" errors.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 08 Oct 2016 11:27:07 +1100
