=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
     ,libldap2-dev
-    ,libmysqlclient-dev
+    ,default-libmysqlclient-dev
 # libopenipmi-dev is not available on some architectures
     ,libopenipmi-dev [!hurd-any !arm]
     ,libpq-dev
@@ -25,7 +25,7 @@
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-org-java
+    ,libandroid-json-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
@@ -104,7 +104,7 @@
 Package: zabbix-proxy-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server | virtual-mysql-server
+Recommends: default-mysql-server | virtual-mysql-server
 Suggests: logrotate
 Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
 Description: network monitoring solution - proxy (using MySQL)
@@ -166,7 +166,7 @@
 Package: zabbix-server-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server | virtual-mysql-server, snmpd
+Recommends: default-mysql-server | virtual-mysql-server, snmpd
            ,nmap
            ,traceroute
 Suggests: zabbix-frontend-php, logrotate, sudo
