=== debian/rules ===
--- 
+++ 
@@ -98,10 +98,11 @@
             tar -cSf - --exclude=./.svn --exclude=./debian . \
             | tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
         done
-	$(foreach i,$(VARIANTS), \
-        dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
-            $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) \
-    ;)
+	set -e ;\
+$(foreach i,$(VARIANTS), \
+    dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
+      $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) ;\
+)
 
 override_dh_auto_build:
 	$(foreach i,$(VARIANTS), \
@@ -115,7 +116,7 @@
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
