## zabbix 3.0.6+dfsg

=== debian/changelog ===
zabbix (1:3.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release [Decembeer 2016].
  * Removed obsolete "build-m4-mariadb.patch".
  * CVE-2016-9140: improved API script.execute validation (Closes: #842702).
  * Re-build .css files; Build-Depends += "ruby-sass".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 10 Dec 2016 11:52:33 +1100
