## zabbix 3.0.7+dfsg

=== debian/changelog ===
zabbix (1:3.0.7+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert "Switch to "libandroid-json-java".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Jan 2017 11:43:26 +1100

zabbix (1:3.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 Dec 2016 10:30:05 +1100

zabbix (1:3.0.4+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Aug 2016 11:05:27 +1000

zabbix (1:3.0.3+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 01:50:12 +1000

zabbix (1:3.0.1+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * control: added php5 alternatives.
  * Updated nginx config to use php5-fpm.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 13 Mar 2016 20:33:20 +1100

zabbix (1:2.4.7+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 Feb 2016 13:13:40 +1100

zabbix (1:2.4.7+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jan 2016 12:08:05 +1100
