=== debian/control ===
--- 
+++ 
@@ -25,12 +25,14 @@
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-java
+    ,libandroid-json-org-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
 ## frontends/php/locale/*.sh:
     ,gettext
+## frontends/php/styles/*.css:
+    ,ruby-sass
 Standards-Version: 3.9.8
 Homepage: http://zabbix.com
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
@@ -59,16 +61,13 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, ucf
-    ,php
-    ,php-bcmath
-    ,php-gd
-    ,php-mbstring
-    ,php-xml
-    ,php-pgsql | php-mysql | php-sqlite3
+    ,php5 | php
+    ,php5-gd | php-gd
+    ,php5-pgsql | php5-mysql | php5-sqlite | php-pgsql | php-mysql | php-sqlite3
     ,ttf-dejavu-core
 Recommends: ${misc:Recommends}
-    ,php-ldap
-    ,libapache2-mod-php | php-fpm
+    ,php5-ldap | php-ldap
+    ,libapache2-mod-php | php5-fpm | php-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
