=== debian/rules ===
--- 
+++ 
@@ -105,18 +105,21 @@
 )
 
 override_dh_auto_build:
+	set -e ;\
 	$(foreach i,$(VARIANTS), \
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
 build-indep:
+	## build styles:
+	$(MAKE) -f Makefile.am css
 	## build translations:
 	cd frontends/php/locale && ./update_po.sh
 	cd frontends/php/locale && ./make_mo.sh
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
