## zabbix 3.0.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
-Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree, apache2-dev
+Build-Depends: debhelper (>= 10), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
@@ -21,11 +21,11 @@
 ## dh-linktree:
     ,libjs-prototype
     ,libjs-jquery-ui (>= 1.10.1)
-    ,libjs-jquery (>= 1.10.1)
+#   ,libjs-jquery (>= 1.10.1)
 ## java-gateway deps:
     ,javahelper
 Build-Depends-Indep: default-jdk
-    ,libandroid-json-org-java
+    ,libandroid-json-java
     ,liblogback-java
     ,libslf4j-java
     ,junit4
@@ -33,7 +33,7 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://zabbix.com
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zabbix.git
@@ -61,13 +61,16 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, ucf
-    ,php5 | php
-    ,php5-gd | php-gd
-    ,php5-pgsql | php5-mysql | php5-sqlite | php-pgsql | php-mysql | php-sqlite3
+    ,php
+    ,php-bcmath
+    ,php-gd
+    ,php-mbstring
+    ,php-xml
+    ,php-pgsql | php-mysql | php-sqlite3
     ,ttf-dejavu-core
 Recommends: ${misc:Recommends}
-    ,php5-ldap | php-ldap
-    ,libapache2-mod-php | php5-fpm | php-fpm
+    ,php-ldap
+    ,libapache2-mod-php | php-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
