=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
-PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+#PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
 
 # parallel build by default on linux
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -119,7 +119,7 @@
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
-        CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
+        CLASSPATH=/usr/share/java/com.android.json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
         jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
@@ -171,4 +171,6 @@
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
 	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
+ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
+endif
