## zabbix 3.0.12+dfsg

=== debian/changelog ===
zabbix (1:3.0.12+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2017].
    + fixed SMTP AUTH LOGIN (Closes: #863281).
  * rules: fixed FTBFS with debhelper 10.9 (Closes: #878560).
  * Debhelper & compat to version 10.
  * Standards-Version: 4.1.1.
  * java-gateway: set JAVA_OPTIONS in .service file (Closes: #872757).
    Thanks, Jaroslaw Pomorski.
  * Removed mentioning of /etc/default files from READMEs (Closes: #860267).
    Thanks, Vincent Férotin.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 29 Oct 2017 21:47:20 +1100

zabbix (1:3.0.7+dfsg-3) unstable; urgency=high

  * CVE-2017-2824, CVE-2017-2825: new upstream patches
    "ZBX-12075_r67082.patch", "ZBX-12075_r67270.patch" (Closes: #863584).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 04 Jun 2017 17:14:06 +1000

zabbix (1:3.0.7+dfsg-2) unstable; urgency=medium

  * Frontend-PHP: switch to private jQuery (Closes: #857287).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 21 May 2017 13:56:56 +1000
