## zabbix 3.0.17+dfsg

=== debian/changelog ===
zabbix (1:3.0.17+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2018].
    + Fixed FTBFS "configure: error: PostgreSQL version mismatch"
      (Closes: #897457).
  * agent/logrotate: prevented error when agent is not running
    (Closes: #859651).
    Thanks, Andrei Romila.
  * Updated Vcs URLs for Salsa.
  * Standards-Version: 4.1.4.
  * Debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 May 2018 00:52:26 +1000
