=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
-Build-Depends: debhelper (>= 10), automake, dh-linktree, apache2-dev
+Build-Depends: debhelper (>= 11~), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
@@ -33,10 +33,10 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: http://zabbix.com
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zabbix.git
+Vcs-Browser: https://salsa.debian.org/debian/zabbix
+Vcs-Git: https://salsa.debian.org/debian/zabbix.git
 
 Package: zabbix-agent
 Architecture: any
