=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,6 @@
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
 #PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
-
-# parallel build by default on linux
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
-        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
-    endif
-endif
-$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -74,7 +66,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2
+	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -160,6 +152,12 @@
         fi
 	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
+## jh_linkjars override is necessary with DH-11 due to the following error:
+##   jh_linkjars -O--max-parallel=4 -Nzabbix-frontend-php -Nzabbix-java-gateway
+##   Invalid option: N
+override_jh_linkjars:
+	jh_linkjars -v
+
 override_dh_apache2:
 	dh_apache2 --noenable
 
@@ -174,3 +172,15 @@
 ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
 endif
+
+override_dh_installsystemd:
+	dh_installsystemd -p $(PKG_AGENT)
+	dh_installsystemd -p $(PKG_GATEWAY_JAVA)
+	dh_installsystemd -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
+	dh_installsystemd -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
+	dh_installsystemd -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
+ifdef PKG_SERVER_SQLITE3
+	dh_installsystemd -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
+endif
