## zabbix 3.0.32+dfsg

=== debian/changelog ===
zabbix (1:3.0.32+dfsg-0+deb9u5) stretch-security; urgency=medium

  * Mention that deb9u4 fixed also CVE-2023-29454
  * Fix NEWS files for individual packages.
  * Fix sqlite3 database scheme and warn in NEWS that a new database
    is required as zabbix does not update sqlite3 database, and
    users are supposed to start with new ones on updates.
    Closes: #1051300

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Oct 2023 10:28:12 +0200

zabbix (1:3.0.32+dfsg-0+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Backport patch for CVE-2013-7484: Insecure storage of passwords.
  * Disable guest user on new installs, warn via d/NEWS to disable it on
    existing installations. (CVE-2019-17382)
  * Backport upstream patch for CVE-2022-43515 - potential disclosure
    of information during maintenance mode (Closes: #1026847).
  * Backport patch for CVE-2023-29450 - unauthorized filesystem access.
  * Backport patch for CVE-2023-29451 - JSON parser uses uninitialized buffer
    on invalid UTF-8.
  * Backport upstream patch CVE-2023-29455 - Reflected XSS in graph item
    properties.
  * Backport upstream patch for CVE-2023-29457 - Reflected XSS in Action form
    fields.
  * Backport upstream patch for CVE-2023-29456 - Inefficient URL schema
    validation
  * Backport upstream patch for CVE-2023-29454 - Reflected XSS in user form.

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 11:43:58 +0200

zabbix (1:3.0.32+dfsg-0+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2022-24349, CVE-2022-24917 and CVE-2022-24919:
    An authenticated user can create a link with reflected Javascript code
    inside it for graphs, actions and services pages and send it to other
    users. The payload can be executed only with a known CSRF token value of
    the victim, which is changed periodically and is difficult to predict.

 -- Markus Koschany <apo@debian.org>  Tue, 12 Apr 2022 13:03:41 +0200

zabbix (1:3.0.32+dfsg-0+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-23134: after the initial setup process, some steps of
    setup.php file are reachable not only by super-administrators, but by
    unauthenticated users as well. Malicious actor can pass step checks
    and potentially change the configuration of Zabbix Frontend.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 07 Feb 2022 21:30:48 +0100
  

zabbix (1:3.0.32+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release following upstream 3.0 LTS branch (last version
    before upstream EOL).
  * CVE-2020-15803: Prevent a potential cross-site scripting vulnerability via
    iframe HTML elements. (mistakenly dropped in 1:3.0.31+dfsg-0+deb9u1)
  * CVE-2019-15132: Zabbix allows User Enumeration.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 19 Apr 2021 17:22:35 +0200

zabbix (1:3.0.31+dfsg-0+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release following upstream 3.0 LTS branch.
  * Refresh patches.
  * CVE-2020-11800: Zabbix allows remote attackers to execute arbitrary
    code.
  * CVE-2016-10742: Zabbix allows open redirect via the request parameter.
  * Revert comments-only changes in zabbix_server.conf to avoid triggering
    ucf.

 -- Sylvain Beucler <beuc@debian.org>  Tue, 17 Nov 2020 14:06:05 +0100

zabbix (1:3.0.7+dfsg-3+deb9u1) stretch-security; urgency=high

  * CVE-2020-15803: Prevent a potential cross-site scripting vulnerability via
    iframe HTML elements. (Closes: #966146)

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Aug 2020 15:51:47 +0100
