=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,15 @@
 PKG_PROXY_SQLITE3 = zabbix-proxy-sqlite3
 PKG_SERVER_MYSQL = zabbix-server-mysql
 PKG_SERVER_PGSQL = zabbix-server-pgsql
-#PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+PKG_SERVER_SQLITE3 = zabbix-server-sqlite3
+
+# parallel build by default on linux
+ifeq ($(DEB_HOST_ARCH_OS),linux)
+    ifeq ($(findstring parallel=,$(DEB_BUILD_OPTIONS)),)
+        export DEB_BUILD_OPTIONS+=parallel=$(shell getconf _NPROCESSORS_ONLN)
+    endif
+endif
+$(info DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS))
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -66,7 +74,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --max-parallel=4 --with javahelper,linktree,apache2
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -137,8 +145,8 @@
         fi
         ## Directories will be replaced with symlinks:
 	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
-            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers ;\
-            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views ;\
+            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/controllers || true ;\
+            rmdir -v $(CURDIR)/debian/$(PKG_FRONTEND)/usr/share/zabbix/local/app/views || true ;\
         fi
         ## Remove .po files to save space in frontend-php:
 	if [ -d "$(CURDIR)/debian/$(PKG_FRONTEND)" ]; then \
@@ -152,12 +160,6 @@
         fi
 	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
-## jh_linkjars override is necessary with DH-11 due to the following error:
-##   jh_linkjars -O--max-parallel=4 -Nzabbix-frontend-php -Nzabbix-java-gateway
-##   Invalid option: N
-override_jh_linkjars:
-	jh_linkjars -v
-
 override_dh_apache2:
 	dh_apache2 --noenable
 
@@ -169,18 +171,4 @@
 	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
 	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
-ifdef PKG_SERVER_SQLITE3
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
-endif
-
-override_dh_installsystemd:
-	dh_installsystemd -p $(PKG_AGENT)
-	dh_installsystemd -p $(PKG_GATEWAY_JAVA)
-	dh_installsystemd -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
-	dh_installsystemd -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
-	dh_installsystemd -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
-ifdef PKG_SERVER_SQLITE3
-	dh_installsystemd -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
-endif
