## zabbix 4.0.1+dfsg

=== debian/changelog ===
zabbix (1:4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 01 Nov 2018 13:21:12 +1100

zabbix (1:4.0.0+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Dmitry Smirnov ]
  * New major upstream release (Closes: #900970, #888416).
  * Build-Depends:
    + libevent-dev
    + libpcre3-dev
    + zlib1g-dev
  * Depends:
    - ttf-dejavu-core
    + fonts-dejavu-core
  * Standards-Version: 4.2.1
  * New patch to un-hardcode default Hostname in agent's config
    (Closes: #727604).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 03 Oct 2018 00:56:15 +1000
