## zabbix 4.0.2+dfsg

=== debian/changelog ===
zabbix (1:4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2018].
  * Fixed hard-coded paths to "iconv.h" and "pthread.h" (Closes: #911574).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 06 Dec 2018 13:57:56 +1100
