## zabbix 4.0.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: zabbix
 Section: net
 Priority: optional
+Standards-Version: 4.2.1
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
 Build-Depends: debhelper (>= 11~), automake, dh-linktree, apache2-dev
     ,libcurl4-gnutls-dev
+    ,libevent-dev
     ,libgnutls28-dev | gnutls-dev
     ,libiksemel-dev
     ,libldap2-dev
     ,default-libmysqlclient-dev
 # libopenipmi-dev is not available on some architectures
     ,libopenipmi-dev [!hurd-any !arm]
+    ,libpcre3-dev
     ,libpq-dev
     ,libsnmp-dev
     ,libsqlite3-dev
@@ -18,6 +21,7 @@
     ,libxml2-dev
     ,pkg-config
     ,unixodbc-dev
+    ,zlib1g-dev
 ## dh-linktree:
     ,libjs-prototype
     ,libjs-jquery-ui (>= 1.10.1)
@@ -33,7 +37,6 @@
     ,gettext
 ## frontends/php/styles/*.css:
     ,ruby-sass
-Standards-Version: 4.1.4
 Homepage: http://zabbix.com
 Vcs-Browser: https://salsa.debian.org/debian/zabbix
 Vcs-Git: https://salsa.debian.org/debian/zabbix.git
@@ -67,7 +70,7 @@
     ,php-mbstring
     ,php-xml
     ,php-pgsql | php-mysql | php-sqlite3
-    ,ttf-dejavu-core
+    ,fonts-dejavu-core
 Recommends: ${misc:Recommends}
     ,php-ldap
     ,libapache2-mod-php | php-fpm
@@ -108,7 +111,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: default-mysql-server | virtual-mysql-server
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
 Description: network monitoring solution - proxy (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -128,7 +131,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: postgresql
-Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-mysql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql
 Suggests: logrotate
 Description: network monitoring solution - proxy (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
@@ -149,7 +152,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base, sqlite3
 Suggests: logrotate
-Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
+Conflicts: zabbix-proxy-pgsql, zabbix-proxy-mysql, zabbix-server-mysql, zabbix-server-pgsql
 Description: network monitoring solution - proxy (using SQLite3)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -174,7 +177,7 @@
 Suggests: zabbix-frontend-php, logrotate, sudo
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
-Conflicts: zabbix-server-pgsql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
+Conflicts: zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using MySQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -199,7 +202,7 @@
 Suggests: zabbix-frontend-php, logrotate, sudo
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
-Conflicts: zabbix-server-mysql, zabbix-server-sqlite3, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
+Conflicts: zabbix-server-mysql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
 Description: network monitoring solution - server (using PostgreSQL)
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -214,32 +217,3 @@
  This package provides the software needed to integrate a host as a Zabbix
  client. It collects information from Zabbix clients and stores it in a
  PostgreSQL database.
-
-#Package: zabbix-server-sqlite3
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-#Recommends: snmpd
-#           ,nmap
-#           ,traceroute
-#Suggests: logrotate, sudo
-# SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
-#         ,snmp-mibs-downloader
-#Conflicts: zabbix-server-mysql, zabbix-server-pgsql, zabbix-proxy-mysql, zabbix-proxy-pgsql, zabbix-proxy-sqlite3
-#Description: network monitoring solution - server (using SQLite3)
-# Zabbix is a server/client network monitoring system with many features.
-# It can be used for:
-# .
-#  - high level monitoring of IT services;
-#  - centralized monitoring of your servers and applications;
-#  - monitoring of SNMP-enabled devices;
-#  - performance monitoring (process load, network activity, disk
-#    activity, memory usage, OS parameters etc.);
-#  - data visualization.
-# .
-# This package provides the software needed to integrate a host as a Zabbix
-# client. It collects information from Zabbix clients and stores it in a
-# Sqlite3 file/database
-# .
-# Warning: zabbix-server/SQLite3 is experimental and may be unstable.
-# Upstream do not support it.
-# KNOWN BUG: Causing deadlock with frontend-php.
