=== debian/changelog ===
zabbix (1:4.0.3+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Jan 2019 10:25:13 +1100

zabbix (1:4.0.3+dfsg-2) unstable; urgency=medium

  * Use bundled libjs-prototype (Closes: #919496).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 17 Jan 2019 13:22:40 +1100

zabbix (1:4.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2018].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 24 Dec 2018 16:55:07 +1100

zabbix (1:3.0.17+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 15 May 2018 01:21:28 +1000
